CharBuffer Class Reference

## Public Member Functions

| CharBuffer (int32_t initialSize)
| CharBuffer (const CharBuffer &buffer)
CharBuffer & | operator= (const CharBuffer &buffer)
CharBuffer & | operator= (const std::string &stringBuffer)
bool | copy (const CharBuffer &buffer)
void | reset ()
int | readFromFile (IFILE filePtr, int32_t length)
const char * | c_str () const
int32_t | length () const

## Detailed Description

Definition at line 24 of file CharBuffer.h.

The documentation for this class was generated from the following files:

- general/CharBuffer.h
- general/CharBuffer.cpp